Subject: bug#47863: closed (Re: bug#47863: [PATCH] gnu: xfce4-settings: Add gsettings-desktop-schemas.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Apr 2021 16:21:02 +0000

Your bug report

#47863: [PATCH] gnu: xfce4-settings: Add gsettings-desktop-schemas.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47863: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47863
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47863: [PATCH] gnu: xfce4-settings: Add gsettings-desktop-schemas.
From: Ludovic Courtès <[email-masked]>
To: Brendan Tildesley <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Apr 2021 18:20:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Brendan Tildesley <[email-masked]> skribis:

>> On 04/29/2021 1:23 AM Ludovic Courtès <[email-masked]> wrote:

[...]

>> The patch LGTM but I can’t seem to reproduce the issue here.  Namely, if
>> I go to Settings → Appearance and switch from “GNOME Theme” to
>> “Adwaita”, it just works.
>> 
>> Am I missing something?
>> 
> If you also have GNOME installed then it will work. GNOME provides them via propagated inputs in many packages.
> For me, the theme changes, but then the settings window crashes.

OK.  So actually what happens is that changing themes works, but the
thing crashes right after changing themes (which I didn’t notice when
spawning xfce4-appearance-settings by clicking in the menu).

Applied, thanks!

> BTW do you think the way the gnome package is made with propagated inputs is better than how the xfce is made by union-ing everything?

No strong opinion, either way is fine with me.

Ludo’.

Subject: [PATCH] gnu: xfce4-settings: Add gsettings-desktop-schemas.
From: Brendan Tildesley <[email-masked]>
To: [email-masked]
Date: Sun, 18 Apr 2021 16:23:26 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/xfce.scm (xfce4-settings):[propagated-inputs]: Add
gsettings-desktop-schemas. This makes it appear in the system profile
via the xfce service. This fixes a bug where changing icon theme causes
xfce4-appearance-settings to crash with the error:

GLib-GIO-ERROR **: 15:41:45.828: Settings schema 'org.gnome.desktop.interface' is not installed
Trace/breakpoint trap
---
 gnu/packages/xfce.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 38240d7b9f..ffac62af9e 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -755,6 +755,8 @@ allows you to shut down the computer from Xfce.")
        ("upower" ,upower) ;; TODO needs upower-glib
        ("python" ,python) ;; for xfce4-compose-mail
        ("xf86-input-libinput" ,xf86-input-libinput)))
+    (propagated-inputs
+     `(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)))
     (home-page "https://www.xfce.org/")
     (synopsis "Xfce settings manager")
     (description
-- 
2.31.1